rpmsig_s Struct Reference

## Data Fields

int | signum
void(* | handler )(int signum, void *info, void *context)
int | active
struct sigaction | oact

## Detailed Description

Definition at line 356 of file rpmsq.c.

## Field Documentation

int rpmsig_s::active

Definition at line 359 of file rpmsq.c.

void(* rpmsig_s::handler)(int signum, void *info, void *context)

Definition at line 358 of file rpmsq.c.

struct sigaction rpmsig_s::oact

Definition at line 360 of file rpmsq.c.

int rpmsig_s::signum

Definition at line 357 of file rpmsq.c.

Referenced by rpmsqAction(), and rpmsqEnable().

The documentation for this struct was generated from the following file:

- rpmio/rpmsq.c